VPS侦探论坛

 找回密码
 注册
查看: 455|回复: 4

Ubuntu 20.04+ 安装lnmp1.9 只有ngnix成功其他都失败了

[复制链接]
发表于 2022-10-14 19:31:45 | 显示全部楼层 |阅读模式

复制这段话,打开文叔叔网站 https://www.wenshushu.cn/k/9iyx98m7glj 或 APP,钥匙串取文件 wss:2G7kbhErhSEvsiuIt5q7nnit5E7


这个日志链接
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-10-15 12:03:32 | 显示全部楼层


Ubuntu 20.04+都不存在问题,发布前都测试过很多遍
你上传的日志为 Ubuntu 22.04的,系统自带openssl 3.0,目前mysql所有版本都不支持,lnmp上是针对mysql 8.0添加了针对openssl 3.0的补丁才支持的,其他mysql版本均不支持
而且可能修改了安装脚本或者可能你系统或系统源设置有问题缺少libxml2依赖包,日志中也没有任何记录
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2022-10-15 14:26:39 | 显示全部楼层

licess 发表于 2022-10-15 12:03
Ubuntu 20.04+都不存在问题,发布前都测试过很多遍
你上传的日志为 Ubuntu 22.04的,系统自带openssl 3.0, ...

我传的日志是空的吗  那我这个问题现在怎么解决 是降低系统版本吗
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2022-10-15 14:29:19 | 显示全部楼层



licess 发表于 2022-10-15 12:03
Ubuntu 20.04+都不存在问题,发布前都测试过很多遍
你上传的日志为 Ubuntu 22.04的,系统自带openssl 3.0, ...

我这是亚马逊的机子
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2022-10-16 09:28:18 | 显示全部楼层

trenton 发表于 2022-10-15 14:26
我传的日志是空的吗  那我这个问题现在怎么解决 是降低系统版本吗

按你传的日志,像是阿里云的机器
Ubuntu 22.04的系统如果你必须要安装mysql 5.6的话没办法只能换低一点的系统版本,如果可以换mysql版本,你这个是x86_64的mysql 5.7或8.0可以选择二进制安装或mysql 8.0编译安装
php的安装还需要看你系统具体返回什么信息,可以执行:apt-get install libxml2-dev
贴一下返回信息

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-12-6 22:47 , Processed in 0.142507 second(s), 16 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表